// pages/member/course/CourseMy/CourseMy.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    courseList: [],
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    this._getData();
  },

  _getData: function(success) {
    var that = this;
    // 初次获取数据
    app._getNetWork({
      url: app.getNetAddresss("plugin.video-demand.api.video-demand-member.get-me-course"),
      success: function(res) {
        if (res.data.result == 1) {
          let _data = res.data.data;
          that.setData({
            courseList: _data
          });
          success && success(res);
        } else {
          console.error(res);
        }
      },
      fail: function(res) {
        console.error(res);
      }
    });
  },
  toCourse(e) {
    let itemid = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/packageA/detail_v2/detail_v2?id=' + itemid
      // url: '/packageA/detail_v2/detail_v2?id=' + itemid
    });
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {
    wx.setNavigationBarTitle({
      title: '我的课程'
    });
  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  }
});
